Jump to content
  • 0
TheyCallMeAri

Whats this error?

Question

please im honestly new im trying to get the server and client running before i try to do anything els pleae help?



------------------------------------------------
InsanityX (x64), Starting up...
------------------------------------------------
Auto-Detected 32-bit (x86) System
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
. C l i e n t o u t p u t b e l o w .
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Exception in thread "main" java.lang.UnsupportedClassVersionError: Jframe : Unsu
pported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)
Press any key to continue . . .

Share this post


Link to post
Share on other sites

3 answers to this question

Recommended Posts

  • 0
your jre version is older than jdk version which the source is compiled

Share this post


Link to post
Share on other sites
  • 0
[quote name='TheyCallMeAri']please im honestly new im trying to get the server and client running before i try to do anything els pleae help?



------------------------------------------------
InsanityX (x64), Starting up...
------------------------------------------------
Auto-Detected 32-bit (x86) System
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
. C l i e n t o u t p u t b e l o w .
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Exception in thread "main" java.lang.UnsupportedClassVersionError: Jframe : Unsu
pported major.minor version 52.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(Unknown Source)
at java.security.SecureClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.defineClass(Unknown Source)
at java.net.URLClassLoader.access$100(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at sun.launcher.LauncherHelper.checkAndLoadMain(Unknown Source)
Press any key to continue . . .[/QUOTE]

Please use [quote] or [code] tags for this. Usually this means that you are running your source with a java that is incompatible. Please recompile and/or install an older version of java. (Most likely you will have to do that) 1.7 should work I think. I'm not sure with 317's Edited by Arix

Share this post


Link to post
Share on other sites
  • 0
[quote name='Arix']Please use [quote] or [code] tags for this. Usually this means that you are running your source with a java that is incompatible. Please recompile and/or install an older version of java. (Most likely you will have to do that) 1.7 should work I think. I'm not sure with 317's[/QUOTE]

317 works with anything up to 8 (think some things in 8 are depreciated since 7)

Share this post


Link to post
Share on other sites

×